
package de.ivu.elect.presentation.dokumente.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.dokumente.DokumentVorlageOpenOfficeTestView;

public class DokumentVorlageOpenOfficeConnectionTestMenuItemEntry extends AbstractDokumentVorlageMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public DokumentVorlageOpenOfficeConnectionTestMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.DOKUMENT_VORLAGE_SEARCH;
  }

  @Override
  public String getTargetViewId() {
    return DokumentVorlageOpenOfficeTestView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "dokument.vorlage.open.office.test.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconInfo();
  }
}
